package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyRefundCsapplyrenderRequest struct {
	/*
	   系统自动生成     */
	RefundCsApplyRenderDTO *domain.AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderDto `json:"refund_cs_apply_render_d_t_o,omitempty" required:"false" `
}

func (s *AlibabaTclsAelophyRefundCsapplyrenderRequest) SetRefundCsApplyRenderDTO(v domain.AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderDto) *AlibabaTclsAelophyRefundCsapplyrenderRequest {
	s.RefundCsApplyRenderDTO = &v
	return s
}

func (req *AlibabaTclsAelophyRefundCsapplyrenderRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.RefundCsApplyRenderDTO != nil {
		paramMap["refund_cs_apply_render_d_t_o"] = util.ConvertStruct(*req.RefundCsApplyRenderDTO)
	}
	return paramMap
}

func (req *AlibabaTclsAelophyRefundCsapplyrenderRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
